/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workresignationtemplate.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 离职审核列表Entity
 * @author lw
 * @version 2018-08-07
 */
public class WorkResignationTemplate extends DataEntity<WorkResignationTemplate> {
	
	private static final long serialVersionUID = 1L;
	private String officeId;		// 部门
	private String auditor;		// 审核人
	private String comment;		// 审核项目
	private String status;		// 审核状态
	private String resignationId;		// 申请主键

	private String officeName;
	private String userName;
	public WorkResignationTemplate() {
		super();
	}

	public WorkResignationTemplate(String id){
		super(id);
	}

	@ExcelField(title="部门", align=2, sort=7)
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	
	@ExcelField(title="审核人", align=2, sort=8)
	public String getAuditor() {
		return auditor;
	}

	public void setAuditor(String auditor) {
		this.auditor = auditor;
	}
	
	@ExcelField(title="审核项目", align=2, sort=9)
	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}

	public String getOfficeName() {
		return officeName;
	}

	public void setOfficeName(String officeName) {
		this.officeName = officeName;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	@ExcelField(title="审核状态", align=2, sort=10)
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	
	@ExcelField(title="申请主键", align=2, sort=11)
	public String getResignationId() {
		return resignationId;
	}

	public void setResignationId(String resignationId) {
		this.resignationId = resignationId;
	}
	
}